package com.cf.imes.module.manage.service.patching;


import com.cf.imes.framework.common.pojo.PageResult;
import com.cf.imes.module.manage.controller.admin.patching.vo.*;
import com.cf.imes.module.manage.dal.dataobject.patching.MachineDO;

import java.util.List;

public interface PatchingPlateService {


    // 批量加入补板查询
    PageResult<PatchingPlateRespVO> patchingSearchPlate(PatchingPlatePageReqVO pageReqVO);


    // 查询详细的板件
    PageResult<PatchingDetailRespVO> searchPlateDetail(PatchingPlatePageReqVO pageReqVO);


    // 加入的板件信息
    PatchingDetailRespVO searchPatchingList(Long plateId);


    // 优化排版
    List<PatchingDetailRespVO> optimizeLayout(PatchingDetailReqVO reqVO);


    // 新增补板详情表
    void insertPatching(PatchingReqVO reqVO);


    // 查询所有的机台
    List<MachineDO> searchMachine();



}
